Get token balances for a wallet address
curl --request GET \
--url https://api.lpagent.io/open-api/v1/token/balance \
--header 'x-api-key: <api-key>'import requests
url = "https://api.lpagent.io/open-api/v1/token/balance"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.lpagent.io/open-api/v1/token/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": [
{
"tokenAddress": "So11111111111111111111111111111111111111112",
"balance": 1.5,
"rawBalance": "1500000000",
"symbol": "SOL",
"decimals": 9,
"logo": "https://example.com/logo.png",
"balanceInUsd": 150.75,
"price": 100.5
}
]
}Token
Get token balances for a wallet address
Returns all token balances (SOL and SPL tokens) for the specified wallet address
GET
/
token
/
balance
Get token balances for a wallet address
Authorizations
API key for authentication
Query Parameters
The wallet address to get balances for
Comma-separated list of token contract addresses to filter by
Was this page helpful?
⌘I